MantisBT  Site | Plugring | Plugins API and Macros | Forum | English Forum | Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003216Far ManagerInterfacepublic2016-04-13 02:262017-04-24 22:43
Reporterlkintact 
Assigned ToDrKnS 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003216: Клавиша Shift игнорируется в диалогах при включённой настройке автозавершения "Подставлять первый подходящий вариант"
Description1. F9 -> Параметры -> Настройки автозавершения, выставляю чекбокс "Подставлять первый подходящий вариант"
2. Открываю любое диалоговое окно с историей ввода, например, "Поиск" в редакторе, ввожу "far", нажимаю Enter
3. Снова открываю окно Поиска, нажимаю Shift+f (предполагая ввести "FAR"). Механизм автозавершения подставляет ранее введённую строчку "far".

Возможно, это не баг, а фича (поэтому выбрал Severity -> feature). Если так, было бы удобно иметь возможность контролировать это игнорирование регистра при автозавершении для случаев вроде описанного, когда нужно искать текст с учётом регистра (пытался искать что-нибудь среди настроек Interface.Completion.*, не нашёл).


build 4619
TagsNo tags attached.
Build4940
Attached Files

- Relationships

-  Notes
(0015338)
CDK (reporter)
2017-04-23 12:31

Основное DrKnS исправил, но остался нюанс:
0) на пассивной панели, например, C:\
1) жмем, например, F5 (стандартный диалог копирования)
2) вводим c:\p
3) вводим r - ожидаем увидеть c:\program Files (срабатывает автодополнение), но получаем "C:\Program Files"

Т.е. в момент когда в строку автоматически вставились кавычки - регистр поменялся.

PS: для точной повторимости в идеале нужно историю чистить, чтобы подставляло из Files.
(0015339)
DrKnS (administrator)
2017-04-23 17:53

4940
(0015340)
CDK (reporter)
2017-04-23 19:45

Да, спасибо, теперь работает правильно.

- Issue History
Date Modified Username Field Change
2016-04-13 02:26 lkintact New Issue
2017-04-14 22:47 CDK Note Added: 0015327
2017-04-16 22:42 CDK Note Edited: 0015327 View Revisions
2017-04-23 12:31 CDK Note Added: 0015338
2017-04-23 13:00 CDK Note Deleted: 0015327
2017-04-23 17:53 DrKnS Assigned To => DrKnS
2017-04-23 17:53 DrKnS Status new => assigned
2017-04-23 17:53 DrKnS Note Added: 0015339
2017-04-23 17:53 DrKnS Status assigned => feedback
2017-04-23 19:45 CDK Note Added: 0015340
2017-04-24 22:43 DrKnS Build => 4940
2017-04-24 22:43 DrKnS Status feedback => closed
2017-04-24 22:43 DrKnS Resolution open => fixed
2017-04-24 22:43 DrKnS Fixed in Version => 3.0



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker